/*! bxs-vue-ui v3.3.0 */
import { f as fails, $, p as path } from './entry-virtual.js';
import { B as nativeKeys, q as toObject } from './normalize-component.js';

var FAILS_ON_PRIMITIVES = fails(function () { nativeKeys(1); });

// `Object.keys` method
// https://tc39.github.io/ecma262/#sec-object.keys
$({ target: 'Object', stat: true, forced: FAILS_ON_PRIMITIVES }, {
  keys: function keys(it) {
    return nativeKeys(toObject(it));
  }
});

var keys = path.Object.keys;

var keys$1 = keys;

var keys$2 = keys$1;

export { keys$2 as _ };
